diff -Nurd -x'*~' gnome-media-2.28.5.orig/gst-mixer/src/Makefile.am gnome-media-2.28.5/gst-mixer/src/Makefile.am
--- gnome-media-2.28.5.orig/gst-mixer/src/Makefile.am	2010-01-11 17:40:32.000000000 -0500
+++ gnome-media-2.28.5/gst-mixer/src/Makefile.am	2010-04-28 21:34:56.000000000 -0400
@@ -5,8 +5,8 @@
 endif
 
 AM_CPPFLAGS = \
-	$(GSTMIXER_CFLAGS)				\
 	-I$(top_srcdir)/sound-theme			\
+	$(GSTMIXER_CFLAGS)				\
 	-DGNOMELOCALEDIR=\""$(datadir)/locale"\"	\
 	-DDATA_DIR=\""$(pkgdatadir)"\"			\
 	-DPIX_DIR=\""$(pkgdatadir)/pixmaps"\"
diff -Nurd -x'*~' gnome-media-2.28.5.orig/gstreamer-properties/Makefile.am gnome-media-2.28.5/gstreamer-properties/Makefile.am
--- gnome-media-2.28.5.orig/gstreamer-properties/Makefile.am	2010-01-11 17:40:32.000000000 -0500
+++ gnome-media-2.28.5/gstreamer-properties/Makefile.am	2010-04-29 02:52:31.000000000 -0400
@@ -1,7 +1,7 @@
 SUBDIRS = . help
 bin_PROGRAMS = gstreamer-properties
 
-gstreamer_properties_LDADD = $(GSTPROPS_LIBS)
+gstreamer_properties_LDADD = $(GSTPROPS_LIBS) $(INTLLIBS)
 gstreamer_properties_SOURCES = \
 	gstreamer-properties.c gstreamer-properties-structs.h \
 	pipeline-tests.h pipeline-tests.c \
diff -Nurd -x'*~' gnome-media-2.28.5.orig/profiles/Makefile.am gnome-media-2.28.5/profiles/Makefile.am
--- gnome-media-2.28.5.orig/profiles/Makefile.am	2010-01-11 17:40:32.000000000 -0500
+++ gnome-media-2.28.5/profiles/Makefile.am	2010-04-29 02:31:11.000000000 -0400
@@ -11,7 +11,7 @@
 if HAVE_GSTREAMER
 noinst_PROGRAMS += gnome-audio-profiles-test
 gnome_audio_profiles_test_SOURCES = gnome-audio-profiles-test.c
-gnome_audio_profiles_test_CFLAGS = $(GMP_CFLAGS) $(GSR_CFLAGS) $(defines) -I$(top_srcdir)
+gnome_audio_profiles_test_CPPFLAGS = -I$(top_srcdir) $(GMP_CFLAGS) $(GSR_CFLAGS) $(defines)
 gnome_audio_profiles_test_LDADD = libgnome-media-profiles.la $(GMP_LIBS) $(GSR_LIBS)
 endif
 
@@ -24,7 +24,7 @@
 glade_DATA = gnome-audio-profiles.glade2
 
 gnome_audio_profiles_properties_SOURCES = gnome-audio-profiles-properties.c
-gnome_audio_profiles_properties_CFLAGS = $(GMP_CFLAGS) $(defines) -I$(top_srcdir)
+gnome_audio_profiles_properties_CPPFLAGS = -I$(top_srcdir) $(GMP_CFLAGS) $(defines)
 gnome_audio_profiles_properties_LDADD = libgnome-media-profiles.la $(GMP_LIBS)
 
 libgnome_media_profiles_la_SOURCES = \
@@ -49,8 +49,8 @@
 	audio-profiles-edit.h \
 	gnome-media-profiles.h
 
-libgnome_media_profiles_la_CFLAGS = $(GMP_CFLAGS) $(defines) -I$(top_srcdir)
-libgnome_media_profiles_la_LIBADD = $(GMP_LIBS)
+libgnome_media_profiles_la_CPPFLAGS = -I$(top_srcdir) $(GMP_CFLAGS) $(defines)
+libgnome_media_profiles_la_LIBADD = $(GMP_LIBS) $(INTLLIBS)
 libgnome_media_profiles_la_LDFLAGS = -no-undefined
 
 schemadir = $(GCONF_SCHEMA_FILE_DIR)
diff -Nurd -x'*~' gnome-media-2.28.5.orig/profiles/glade/Makefile.am gnome-media-2.28.5/profiles/glade/Makefile.am
--- gnome-media-2.28.5.orig/profiles/glade/Makefile.am	2010-01-11 17:40:32.000000000 -0500
+++ gnome-media-2.28.5/profiles/glade/Makefile.am	2010-04-29 01:57:32.000000000 -0400
@@ -6,7 +6,7 @@
 	-DGNOMELOCALEDIR=\""$(prefix)/${DATADIRNAME}/locale"\"
 
 libgnome_media_profiles_la_SOURCES = gnome-media-profiles-glade.c
-libgnome_media_profiles_la_CFLAGS = $(GMP_CFLAGS) $(defines) -I$(top_srcdir)
+libgnome_media_profiles_la_CPPFLAGS = -I$(top_srcdir) $(GMP_CFLAGS) $(defines)
 libgnome_media_profiles_la_LIBADD = $(GMP_LIBS) $(top_builddir)/profiles/libgnome-media-profiles.la
 libgnome_media_profiles_la_LDFLAGS = -export-dynamic -module -avoid-version -no-undefined
 
diff -Nurd -x'*~' gnome-media-2.28.5.orig/profiles/gnome-media-profiles.pc.in gnome-media-2.28.5/profiles/gnome-media-profiles.pc.in
--- gnome-media-2.28.5.orig/profiles/gnome-media-profiles.pc.in	2010-01-11 17:40:32.000000000 -0500
+++ gnome-media-2.28.5/profiles/gnome-media-profiles.pc.in	2010-04-29 01:50:44.000000000 -0400
@@ -6,7 +6,7 @@
                                                                                 
 Name: GNOME Media Profiles
 Description: Media Profiles describing audio codec settings for output
-Requires: gconf-2.0, gtk+-2.0, libglade-2.0
+Requires: gconf-2.0, gtk+-2.0
 Version: @VERSION@
 Libs: -L${libdir} -lgnome-media-profiles
 Cflags: -I${includedir}
diff -Nurd -x'*~' gnome-media-2.28.5.orig/sound-theme/Makefile.am gnome-media-2.28.5/sound-theme/Makefile.am
--- gnome-media-2.28.5.orig/sound-theme/Makefile.am	2010-01-11 17:40:32.000000000 -0500
+++ gnome-media-2.28.5/sound-theme/Makefile.am	2010-04-29 02:40:57.000000000 -0400
@@ -18,7 +18,7 @@
 	sound-theme-file-utils.c		\
 	$(NULL)
 
-libsoundtheme_la_LIBADD = $(SOUND_THEME_LIBS)
+libsoundtheme_la_LIBADD = $(SOUND_THEME_LIBS) $(INTLLIBS)
 libsoundtheme_la_LDFLAGS = -no-undefined
 
 BUILT_SOURCES =				\
